## r-cran-qtl 1.37

=== DESCRIPTION ===
Package: qtl
Version: 1.37-11
Date: 2015-08-24
Title: Tools for Analyzing QTL Experiments
Author: Karl W Broman <kbroman@biostat.wisc.edu> and Hao Wu, with
  ideas from Gary Churchill and Saunak Sen and contributions from
  Danny Arends, Robert Corty, Timothee Flutre, Ritsert Jansen, Pjotr
  Prins, Lars Ronnegard, Rohan Shah, Laura Shannon, Quoc Tran, Aaron
  Wolen, and Brian Yandell
Maintainer: Karl W Broman <kbroman@biostat.wisc.edu>
Description: Analysis of experimental crosses to identify genes
  (called quantitative trait loci, QTLs) contributing to variation in
  quantitative traits.
Depends: R (>= 2.14.0)
Imports: parallel, graphics, stats, utils, grDevices
Suggests: testthat
License: GPL-3
URL: http://www.rqtl.org
NeedsCompilation: yes
Packaged: 2015-08-24 18:05:05 UTC; kbroman
Repository: CRAN
Date/Publication: 2015-08-25 19:20:58

## r-cran-qtl 1.33-7

=== debian/changelog ===
r-cran-qtl (1.33-7-1) unstable; urgency=medium

  * New upstream version
  * Normalised source package name

 -- Andreas Tille <tille@debian.org>  Mon, 18 Aug 2014 15:17:44 +0200

qtl (1.32-10-1) unstable; urgency=medium

  * New upstream version
  * Adapt autopkgtest to be similar to other test scripts

 -- Andreas Tille <tille@debian.org>  Mon, 23 Jun 2014 13:35:41 +0200

qtl (1.30-4-1) unstable; urgency=medium

  * New upstream version
  * debian/upstream -> debian/upstream/metadata
  * cme fix dpkg-control
  * drop "Recommends: r-cran-rlecuyer" since this is neither packaged
    for Debian nor mentioned inside source code
  * Update debian/README.test to explain how to sensibly test the package
  * Provide autopkgtest
  * Enhance long description (avoid using-first-person-in-description)

 -- Andreas Tille <tille@debian.org>  Tue, 18 Mar 2014 16:05:24 +0100

qtl (1.27-10-1) unstable; urgency=low

  * New upstream version
  * debian/control:
     - debhelper 9 (also debian/compat)
     - normalised using `cme fix dpkg-control`
     - better wording in long description
     - drop versioned Build-Depends from r-base-dev because the
       version in latest stable is sufficient

 -- Andreas Tille <tille@debian.org>  Wed, 15 May 2013 14:07:47 +0200

qtl (1.25-15-2) unstable; urgency=low

  * Rebuilt for R version 3
  * Bumped policy to 3.9.4

 -- Steffen Moeller <moeller@debian.org>  Tue, 02 Apr 2013 00:48:41 +0200

qtl (1.25-15-1) unstable; urgency=low

  * New upstream version
    - suggesting rlecuyer R package
    - major fix for interpretation of numeric IDs in checkcovar

 -- Steffen Moeller <moeller@debian.org>  Sat, 18 Aug 2012 21:42:30 +0200

qtl (1.23-16-2) UNRELEASED; urgency=low

  * debian/upstream:
     - Fixed yaml Syntax
     - Fixed authors syntax
     - Added URL

 -- Andreas Tille <tille@debian.org>  Mon, 26 Mar 2012 21:29:33 +0200

qtl (1.23-16-1) unstable; urgency=low

  * New upstream version
  * debian/control:
    - Standards-Version: 3.9.3 (no changes needed)
    - Build-Depends: r-base-dev (>= 2.14.2~20120222)
  * debian/rules:
    - Remove R:Depends substitution variable which is now
      included in /usr/share/R/debian/r-cran.mk
    - Code is trivial enough to remove licensing comment
  * Split debian/README.Debian up into README.test and
    debian/upstream
  * debian/docs: Install README.test
  * debian/copyright: Rewritten to match DEP5 and verified using
      cme fix dpkg-copyright

 -- Andreas Tille <tille@debian.org>  Fri, 23 Mar 2012 23:54:28 +0100

qtl (1.22-21-1) unstable; urgency=low

  * New upstream version.

 -- Steffen Moeller <moeller@debian.org>  Mon, 09 Jan 2012 14:45:00 +0100

qtl (1.21-2-2) unstable; urgency=low

  * Rebuilded using latest R
    Closes: #646052
  * Standards-Version: 3.9.2 (no changes needed)
  * Fixed Vcs fields

 -- Andreas Tille <tille@debian.org>  Fri, 21 Oct 2011 15:30:24 +0200

qtl (1.21-2-1) unstable; urgency=low

  * New upstream version

 -- Steffen Moeller <moeller@debian.org>  Mon, 15 Aug 2011 10:59:08 +0200

qtl (1.20-15-1) unstable; urgency=low

  * New upstream version
  * Debhelper 8 (control+compat)

 -- Andreas Tille <tille@debian.org>  Mon, 14 Mar 2011 09:31:31 +0100

qtl (1.19-20-1) unstable; urgency=low

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Wed, 26 Jan 2011 10:04:53 +0100

qtl (1.18-7-1) unstable; urgency=low

  * New upstream version
  * Standards-Version: 3.9.1 (no changes needed)

 -- Andreas Tille <tille@debian.org>  Wed, 24 Nov 2010 11:21:26 +0100

qtl (1.16-6-2) unstable; urgency=low

  * Added myself to Uploaders
  * Debhelper 7
  * Moved from pkg-bioc to debian-med SVN repository
  * Updated README.Debian
  * Added upstream-metadata.yaml
  * debian/{control,rules}: Depends: ${R:Depends}
  * Source format 3.0 (quilt)
  * Fixed spelling of Debian Med (removed dash)

 -- Andreas Tille <tille@debian.org>  Fri, 04 Jun 2010 14:12:49 +0200

qtl (1.16-6-1) unstable; urgency=low

  * New upstream version
    - Integration of MQM mapping of mapqtl
    - Many smallish or larger improvements
  * Updated standards-version
    - Added debian/source/format indication

 -- Steffen Moeller <moeller@debian.org>  Fri, 04 Jun 2010 13:05:47 +0200

qtl (1.14-2-1) unstable; urgency=low

  * dependency on R 2.7.10
  * new upstream version with only minor changes

 -- Steffen Moeller <moeller@debian.org>  Wed, 28 Oct 2009 23:09:18 +0000

qtl (1.13-7-1) unstable; urgency=low

  * new upstream version with various bug fixes
  * bumped standard compliance to 3.8.3 (no changes required)

 -- Steffen Moeller <moeller@debian.org>  Mon, 28 Sep 2009 13:39:40 +0200

qtl (1.12-26-1) unstable; urgency=low

  * new upstream version
    - support for recombinant inbred lines (RIL)
    - simpler notation to reference pseudonmarkers
  * license change to GPL-3
  * adapted section to gnu-r

 -- Steffen Moeller <moeller@debian.org>  Thu, 09 Jul 2009 13:52:50 +0200

qtl (1.11-12-1) unstable; urgency=low

  * new upstream version

 -- Steffen Moeller <moeller@debian.org>  Thu, 14 May 2009 13:47:06 +0200

qtl (1.10-28-1) unstable; urgency=low

  * new upstream version
    - resolves inconsistencies in copyright
    - various changes affecting stability or performance
    - more on http://www.rqtl.org/STATUS.txt
  * debian/copyright updated
  * removed PDFs from source tree

 -- Steffen Moeller <moeller@debian.org>  Fri, 20 Feb 2009 18:50:00 +0100

qtl (1.09-43-2) unstable; urgency=low

  * Dirk requested to be removed from the uploaders list
  * Allowing Debian-Med community maintenance albeit
    package remaining under pkg-bioc control for now.
  * Added Vcs-Browser and Vcs-Svn fields.

 -- Steffen Moeller <moeller@debian.org>  Mon, 29 Sep 2008 17:18:20 +0200

qtl (1.09-43-1) unstable; urgency=low

  * New upstream release.

 -- Steffen Moeller <moeller@debian.org>  Wed, 30 Jul 2008 16:42:46 +0200

qtl (1.08-56-1) unstable; urgency=low

  * New upstream release.
  * Establishing compatibility to R release 2.7.


=== debian/control ===
Source: r-cran-qtl
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Steffen Moeller <moeller@debian.org>,
           Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest
Priority: optional
Build-Depends: debhelper (>= 9),
               cdbs,
               r-base-dev
Standards-Version: 3.9.5
Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/R/r-cran-qtl/trunk/
Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/R/r-cran-qtl/trunk/
Homepage: http://www.rqtl.org

Package: r-cran-qtl
Architecture: any
Depends: ${shlibs:Depends},
         ${R:Depends}
Suggests: r-cran-snow
Description: GNU R package for genetic marker linkage analysis
 R/qtl is an extensible, interactive environment for mapping quantitative
 trait loci (QTLs) in experimental crosses. It is implemented as an
 add-on-package for the freely available and widely used statistical
 language/software R (see http://www.r-project.org).
 .
 The development of this software as an add-on to R allows one to take
 advantage of the basic mathematical and statistical functions, and
 powerful graphics capabilities, that are provided with R. Further,
 the user will benefit by the seamless integration of the QTL mapping
 software into a general statistical analysis program. The goal is to
 make complex QTL mapping methods widely accessible and allow users to
 focus on modeling rather than computing.
 .
 A key component of computational methods for QTL mapping is the hidden
 Markov model (HMM) technology for dealing with missing genotype data. The
 main HMM algorithms, with allowance for the presence of genotyping errors,
 for backcrosses, intercrosses, and phase-known four-way crosses
 were implemented.
 .
 The current version of R/qtl includes facilities for estimating
 genetic maps, identifying genotyping errors, and performing single-QTL
 genome scans and two-QTL, two-dimensional genome scans, by interval
 mapping (with the EM algorithm), Haley-Knott regression, and multiple
 imputation. All of this may be done in the presence of covariates (such
 as sex, age or treatment). One may also fit higher-order QTL models by
 multiple imputation.

## r-cran-qtl 1.36-6

=== debian/changelog ===
r-cran-qtl (1.36-6-1) unstable; urgency=medium

  * New upstream version
  * cme fix dpkg-control
  * fix DEP5 short name

 -- Andreas Tille <tille@debian.org>  Thu, 02 Jul 2015 15:36:46 +0200

## r-cran-qtl 1.37-11

=== debian/changelog ===
r-cran-qtl (1.37-11-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Tue, 22 Sep 2015 21:55:04 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Build-Depends: debhelper (>= 9),
                cdbs,
                r-base-dev
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/R/r-cran-qtl/trunk/
 Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/R/r-cran-qtl/trunk/
 Homepage: http://www.rqtl.org

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/R/debian/r-cran.mk

install/$(package)::
	mkdir -p debian/$(package)/usr/share/doc/$(package)
	mv debian/$(package)/usr/lib/R/site-library/$(cranNameOrig)/contrib debian/$(package)/usr/share/doc/$(package)/examples
	mkdir -p debian/$(package)/usr/share/doc/$(package)/tests
	cp -a tests/*.R tests/*.csv tests/*.map tests/*.raw tests/*.Rout.save debian/$(package)/usr/share/doc/$(package)/tests

## r-cran-qtl 1.39-5

=== debian/changelog ===
r-cran-qtl (1.39-5-2build1) yakkety; urgency=medium

  * No-change rebuild for r-base 3.3.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 04 May 2016 23:58:47 +0000

r-cran-qtl (1.39-5-2) unstable; urgency=medium

  * Fix installation of test data inside the package
  * Fix autopkgtest

 -- Andreas Tille <tille@debian.org>  Fri, 29 Apr 2016 11:15:13 +0200

r-cran-qtl (1.39-5-1) unstable; urgency=medium

  * New upstream version
  * cme fix dpkg-control
  * Testsuite changed from r-cran-unit to r-cran-testthat

 -- Andreas Tille <tille@debian.org>  Wed, 27 Apr 2016 23:46:05 +0200

=== debian/control ===
--- 
+++ 
@@ -8,8 +8,8 @@
 Build-Depends: debhelper (>= 9),
                cdbs,
                r-base-dev
-Standards-Version: 3.9.6
-Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/R/r-cran-qtl/trunk/
+Standards-Version: 3.9.8
+Vcs-Browser: https://anonscm.debian.org/viewvc/debian-med/trunk/packages/R/r-cran-qtl/trunk/
 Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/R/r-cran-qtl/trunk/
 Homepage: http://www.rqtl.org

## r-cran-qtl 1.40-8

=== debian/changelog ===
r-cran-qtl (1.40-8-1) unstable; urgency=medium

  * New upstream version
  * Convert to dh-r
  * Canonical homepage for CRAN
  * d/watch: version=4
  * Recommends: ruby since code contains ruby code

 -- Andreas Tille <tille@debian.org>  Fri, 11 Nov 2016 09:29:19 +0100

=== debian/control ===
--- 
+++ 
@@ -3,21 +3,23 @@
 Uploaders: Steffen Moeller <moeller@debian.org>,
            Andreas Tille <tille@debian.org>
 Section: gnu-r
-Testsuite: autopkgtest
 Priority: optional
 Build-Depends: debhelper (>= 9),
-               cdbs,
+               dh-r,
                r-base-dev
 Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/viewvc/debian-med/trunk/packages/R/r-cran-qtl/trunk/
 Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/R/r-cran-qtl/trunk/
-Homepage: http://www.rqtl.org
+Homepage: https://cran.r-project.org/package=qtl
 
 Package: r-cran-qtl
 Architecture: any
 Depends: ${shlibs:Depends},
+         ${misc:Depends},
          ${R:Depends}
-Suggests: r-cran-snow
+Recommends: ruby,
+            ${R:Recommends}
+Suggests: ${R:Suggests}
 Description: GNU R package for genetic marker linkage analysis
  R/qtl is an extensible, interactive environment for mapping quantitative
  trait loci (QTLs) in experimental crosses. It is implemented as an

=== debian/watch ===
version=4
http://cran.r-project.org/src/contrib/qtl_([-0-9\.]*).tar.gz

## r-cran-qtl 1.42

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: qtl
-Version: 1.37-11
-Date: 2015-08-24
+Version: 1.42-8
+Date: 2018-02-19
 Title: Tools for Analyzing QTL Experiments
 Author: Karl W Broman <kbroman@biostat.wisc.edu> and Hao Wu, with
   ideas from Gary Churchill and Saunak Sen and contributions from
@@ -15,8 +15,11 @@
 Imports: parallel, graphics, stats, utils, grDevices
 Suggests: testthat
 License: GPL-3
-URL: http://www.rqtl.org
+URL: https://rqtl.org, https://github.com/kbroman/qtl
+BugReports: https://github.com/kbroman/qtl/issues
+Encoding: UTF-8
+ByteCompile: true
 NeedsCompilation: yes
-Packaged: 2015-08-24 18:05:05 UTC; kbroman
+Packaged: 2018-02-19 15:49:39 UTC; kbroman
 Repository: CRAN
-Date/Publication: 2015-08-25 19:20:58
+Date/Publication: 2018-02-19 19:40:16 UTC

=== inst/contrib/bin/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)

IF (NOT CMAKE_MODULE_PATH)
  set(CMAKE_MODULE_PATH ".")
ENDIF()

SET(CMAKE_BUILD_TYPE Debug)
IF(NOT WIN32)
  EXECUTE_PROCESS(COMMAND grep Version ../../../DESCRIPTION
    OUTPUT_STRIP_TRAILING_WHITESPACE
    OUTPUT_VARIABLE _VERSION)
  STRING(REGEX REPLACE "Version: " "" RQTL_VERSION "${_VERSION}")
ELSE()
  # Cannot assume we have grep on Windows - should be replaced with
  # CMake logic (FIXME)
  SET(RQTL_VERSION 1.15-3)
ENDIF()
MESSAGE("RQTL_VERSION=${RQTL_VERSION}")

IF ( CMAKE_BUILD_TYPE MATCHES Debug )
  ADD_DEFINITIONS(-Wall -D_DEBUG)
ENDIF ( CMAKE_BUILD_TYPE MATCHES Debug )

# CMake testing
ENABLE_TESTING()
ADD_CUSTOM_TARGET(quicktest COMMAND ctest -E "TestR")


if(${CMAKE_SIZEOF_VOID_P} EQUAL 8)
  set(BITS64 TRUE)
endif()

# ---- The following MACRO is just to keep the FindRLibs.cmake happy
MACRO(ASSERT_FOUNDMAP)
  SET(BUILD_LIBS TRUE)
  SET(BIOLIB_R_LIBRARY UNUSED)
ENDMACRO()

FIND_PACKAGE(RLibs)

include_directories (../../../src)

# Compiler options
add_definitions(-DSTANDALONE)
# ADD_DEFINITIONS(-pedantic)
ADD_DEFINITIONS(-DENABLE_C99_MACROS)


IF(NOT WIN32)
  add_definitions(-pg)
  set(LINK_FLAGS "-pg")
ENDIF()

link_libraries(${R_LIBRARY} ${R_BLAS_LIBRARY})

add_executable (mqm
../../../src/simulate.c
../../../src/simulate.h
../../../src/mqmaugment.cpp
../../../src/mqmeliminate.h
../../../src/mqmmapqtl.h
../../../src/mqmregression.cpp
../../../src/mqmaugment.h
../../../src/mqmmixture.cpp
../../../src/mqmregression.h
../../../src/mqmdatatypes.cpp
../../../src/mqmmixture.h
../../../src/mqmscan.cpp
../../../src/mqmdatatypes.h
../../../src/mqm.h
../../../src/mqmprob.cpp
../../../src/mqmscan.h
../../../src/mqmeliminate.cpp
../../../src/mqmmapqtl.cpp
../../../src/mqmprob.h
../../../src/standalone.h
../../../src/util.h
../../../src/util.c
mqmmain.cpp
)

add_executable (mqmdebugout
mqmdebugout.cpp
)

SET(RTEST scripts/r.sh)
SET(RTESTOUTPUT rtest/regression)

# Test R version (updating only the C libraries)
ADD_CUSTOM_TARGET(testR_Clibs
  COMMAND ${R_EXECUTABLE} CMD build --no-docs ../../
  COMMAND ${R_EXECUTABLE} CMD INSTALL --libs-only qtl_${RQTL_VERSION}.tar.gz
  COMMAND ${CMAKE_COMMAND} -E remove qtl_${RQTL_VERSION}.tar.gz
  COMMAND ctest -R TestR)

# Test R version only
ADD_CUSTOM_TARGET(testR
  COMMAND ${R_EXECUTABLE} CMD build --no-docs ../../
  COMMAND ${R_EXECUTABLE} CMD INSTALL qtl_${RQTL_VERSION}.tar.gz
  COMMAND ${CMAKE_COMMAND} -E remove qtl_${RQTL_VERSION}.tar.gz
  COMMAND ctest -R TestR)

# All tests, including R
ADD_CUSTOM_TARGET(testall
  COMMAND ${R_EXECUTABLE} CMD build --no-docs ../../
  COMMAND ${R_EXECUTABLE} CMD INSTALL qtl_${RQTL_VERSION}.tar.gz
  COMMAND ${CMAKE_COMMAND} -E remove qtl_${RQTL_VERSION}.tar.gz
  COMMAND ctest)

IF(WIN32)
  SET(MQMEXE "mqm.exe")
  SET(MQMDEBUGOUT "mqmdebugout.exe")
ELSE()
  SET(MQMEXE "./mqm")
  SET(MQMDEBUGOUT "./mqmdebugout")
ENDIF()


# Tracetest
ADD_CUSTOM_TARGET(tracetest
  COMMAND ${MQMEXE} -o T12trace.log -d1 -ptest/std/phenotypes1.txt -gtest/std/genotypes1.txt -mtest/std/markers1.txt -stest/std/settings1.txt -ctest/t12/cofactors.txt --smin=0 --smax=200 --sstep=2 --alpha=0.02 --window=10 --maxiter=1000 --estmap=n --maugment=10000 --miaugment=250 --minprob=1
)


# debugout output
ADD_TEST(debugout_dnorm ${MQMDEBUGOUT} -d -o test/regression/debugout_dnorm.new)
ADD_TEST(debugout_dnorm_cmp ${CMAKE_COMMAND} -E compare_files test/regression/debugout_dnorm.new test/regression/debugout_dnorm.txt)

ADD_TEST(debugout_pbeta ${MQMDEBUGOUT} -p -o test/regression/debugout_pbeta.new)
ADD_TEST(debugout_pbeta_cmp ${CMAKE_COMMAND} -E compare_files test/regression/debugout_pbeta.new test/regression/debugout_pbeta.txt)

# Older test for comparison with (older test) MQM_test0.txt
# to only run this test use 'ctest -R test0'
ADD_TEST(TestMQMF2_test0 ${MQMEXE} -v -ptest/std/phenotypes1.txt -gtest/std/genotypes1.txt -mtest/std/markers1.txt -stest/std/settings1.txt --smin=-20 --smax=220 --sstep=5 --alpha=0.05 --window=10 --maxiter=1000 --estmap=n --maugment=10000 --miaugment=250 --minprob=1 -o test/regression/t11out-test0.txt.rnew)
ADD_TEST(TestMQMF2_test0_cmp ${CMAKE_COMMAND} -E compare_files test/regression/t11out-test0.txt.rnew test/regression/t11out-test0.txt)

# Run T11
ADD_TEST(TestMQMF2_T11 ${MQMEXE} -v -ptest/std/phenotypes1.txt -gtest/std/genotypes1.txt -mtest/std/markers1.txt -stest/std/settings1.txt --smin=0 --smax=200 --sstep=2 --alpha=0.02 --window=10 --maxiter=1000 --estmap=n --maugment=10000 --miaugment=250 --minprob=1 -o test/regression/t11out.txt.rnew)
# Immediately compare outputs against older results
ADD_TEST(TestMQMF2_T11_cmp ${CMAKE_COMMAND} -E compare_files test/regression/t11out.txt.rnew test/regression/t11out.txt)

# Run T12 Dataset 1 F2
ADD_TEST(TestMQMF2_T12 ${MQMEXE} -v -ptest/std/phenotypes1.txt -gtest/std/genotypes1.txt -mtest/std/markers1.txt -stest/std/settings1.txt -ctest/t12/cofactors.txt --smin=0 --smax=200 --sstep=2 --alpha=0.02 --window=10 --maxiter=1000 --estmap=n --maugment=10000 --miaugment=250 --minprob=1 -o test/regression/t12out.txt.rnew)
# Immediately compare outputs against older results
ADD_TEST(TestMQMF2_T12_cmp ${CMAKE_COMMAND} -E compare_files test/regression/t12out.txt.rnew test/regression/t12out.txt)

# Run T13
ADD_TEST(TestMQMF2_T13 ${MQMEXE} -v -ptest/std/phenotypes1.txt -gtest/std/genotypes1.txt -mtest/std/markers1.txt -stest/std/settings1.txt --smin=0 --smax=200 --sstep=2 --alpha=0.02 --window=10 --maxiter=1000 --estmap=y --maugment=10000 --miaugment=250 --minprob=1 -o test/regression/t13out.txt.rnew)
# Immediately compare outputs against older results
ADD_TEST(TestMQMF2_T13_cmp ${CMAKE_COMMAND} -E compare_files test/regression/t13out.txt.rnew test/regression/t13out.txt)

# Run T21 Dataset 2 BC=~ Hyper (genotypes NA -> 0)
ADD_TEST(TestMQMBC_T21 ${MQMEXE} -v -ptest/std/phenotypes2.txt -gtest/std/genotypes2.txt -mtest/std/markers2.txt -stest/std/settings2.txt --smin=0 --smax=200 --sstep=2 --alpha=0.02 --window=10 --maxiter=1000 --estmap=n --maugment=10000 --miaugment=250 --minprob=1 -o test/regression/t21out.txt.rnew)
# Immediately compare outputs against older results
ADD_TEST(TestMQMBC_T21_cmp ${CMAKE_COMMAND} -E compare_files test/regression/t21out.txt.rnew test/regression/t21out.txt)

# Run T22
ADD_TEST(TestMQMBC_T22 ${MQMEXE} -v -ptest/std/phenotypes2.txt -gtest/std/genotypes2.txt -mtest/std/markers2.txt -stest/std/settings2.txt -ctest/t22/cofactors.txt --smin=0 --smax=200 --sstep=2 --alpha=0.02 --window=10 --maxiter=1000 --estmap=n --maugment=10000 --miaugment=250 --minprob=1 -o test/regression/t22out.txt.rnew)
# Immediately compare outputs against older results
ADD_TEST(TestMQMBC_T22_cmp ${CMAKE_COMMAND} -E compare_files test/regression/t22out.txt.rnew test/regression/t22out.txt)

# Run T23
#crash on est.map
ADD_TEST(TestMQMBC_T23 ${MQMEXE} -v -ptest/std/phenotypes2.txt -gtest/std/genotypes2.txt -mtest/std/markers2.txt -stest/std/settings2.txt -ctest/t23/cofactors.txt --smin=0 --smax=200 --sstep=2 --alpha=0.02 --window=10 --maxiter=1000 --estmap=y --maugment=10000 --miaugment=250 --minprob=1 -o test/regression/t23out.txt.rnew)
# Immediately compare outputs against older results
ADD_TEST(TestMQMNC_T23_cmp ${CMAKE_COMMAND} -E compare_files test/regression/t23out.txt.rnew test/regression/t23out.txt)

# Run T24
#crash due to augmentation
ADD_TEST(TestMQMBC_T24 ${MQMEXE} -v -ptest/std/phenotypes2.txt -gtest/std/genotypes2m.txt -mtest/std/markers2.txt -stest/std/settings2.txt --smin=0 --smax=200 --sstep=2 --alpha=0.02 --window=10 --maxiter=1000 --estmap=n --maugment=10000 --miaugment=250 --minprob=1 -o test/regression/t24out.txt.rnew)
# Immediately compare outputs against older results
ADD_TEST(TestMQMBC_T24_cmp ${CMAKE_COMMAND} -E compare_files test/regression/t24out.txt.rnew test/regression/t24out.txt)

# Run T25
ADD_TEST(TestMQMBC_T25 ${MQMEXE} -v -ptest/std/phenotypes2.txt -gtest/std/genotypes2m.txt -mtest/std/markers2.txt -stest/std/settings2.txt --smin=0 --smax=200 --sstep=2 --alpha=0.02 --window=10 --maxiter=1000 --estmap=n --maugment=10000 --miaugment=250 --minprob=0.5 -o test/regression/t25out.txt.rnew)
# Immediately compare outputs against older results
ADD_TEST(TestMQMBC_T25_cmp ${CMAKE_COMMAND} -E compare_files test/regression/t25out.txt.rnew test/regression/t25out.txt)

# Run T31 Dataset 3 F2=~ Listeria
ADD_TEST(TestMQMF2_T31 ${MQMEXE} -v -ptest/std/phenotypes3.txt -gtest/std/genotypes3.txt -mtest/std/markers3.txt -stest/std/settings3.txt --smin=0 --smax=200 --sstep=2 --alpha=0.02 --window=10 --maxiter=1000 --estmap=n --maugment=10000 --miaugment=250 --minprob=0.5 -o test/regression/t31out.txt.rnew)
# Immediately compare outputs against older results
ADD_TEST(TestMQMF2_T31_cmp ${CMAKE_COMMAND} -E compare_files test/regression/t31out.txt.rnew test/regression/t31out.txt)

# Run T32
#if(BITS64)
#  MESSAGE("Skip T32 on 64-bits")
#else()
  ADD_TEST(TestMQMF2_T32 ${MQMEXE} -v -ptest/std/phenotypes3.txt -gtest/std/genotypes3m.txt -mtest/std/markers3.txt -stest/std/settings3.txt --smin=0 --smax=200 --sstep=2 --alpha=0.02 --window=10 --maxiter=1000 --estmap=n --maugment=10000 --miaugment=250 --minprob=0.5 -o test/regression/t32out.txt.rnew)
  # Immediately compare outputs against older results
  ADD_TEST(TestMQMF2_T32_cmp ${CMAKE_COMMAND} -E compare_files test/regression/t32out.txt.rnew test/regression/t32out.txt)
#endif()

# Run T33
ADD_TEST(TestMQMF2_T33 ${MQMEXE} -v -ptest/std/phenotypes3.txt -gtest/std/genotypes3.txt -mtest/std/markers3.txt -stest/std/settings3.txt -ctest/t33/cofactors.txt --smin=0 --smax=200 --sstep=2 --alpha=0.02 --window=10 --maxiter=1000 --estmap=n --maugment=10000 --miaugment=250 --minprob=0.5 -o test/regression/t33out.txt.rnew)
# Immediately compare outputs against older results
ADD_TEST(TestMQMF2_T33_cmp ${CMAKE_COMMAND} -E compare_files test/regression/t33out.txt.rnew test/regression/t33out.txt)

# Run T32
ADD_TEST(TestMQMF2_T34 ${MQMEXE} -v -ptest/std/phenotypes3.txt -gtest/std/genotypes3m.txt -mtest/std/markers3.txt -stest/std/settings3.txt --smin=0 --smax=200 --sstep=2 --alpha=0.02 --window=10 --maxiter=1000 --estmap=n --maugment=120 --miaugment=1 --minprob=1 -o test/regression/t34out.txt.rnew)
# Immediately compare outputs against older results
ADD_TEST(TestMQMF2_T34_cmp ${CMAKE_COMMAND} -E compare_files test/regression/t34out.txt.rnew test/regression/t34out.txt)

IF(TEST_R)
  ADD_TEST(TestR_io ${RTEST} ../../tests test_io.R)
  ADD_TEST(TestR_qtl ${RTEST} ../../tests test_qtl.R)
  ADD_TEST(TestR_scanone_mr ${RTEST} rtest test_scanone_mr.R)
  ADD_TEST(TestR_scanone_mr_cmp ${CMAKE_COMMAND} -E compare_files ${RTESTOUTPUT}/scanone_mr.rnew ${RTESTOUTPUT}/scanone_mr.rtest)
  ADD_TEST(TestR_mqm_listeria1 ${RTEST} rtest test_mqm_listeria1.R)
  if(NOT BITS64)
    ADD_TEST(TestR_mqm_listeria1_cmp ${CMAKE_COMMAND} -E compare_files ${RTESTOUTPUT}/mqm_listeria1.rnew ${RTESTOUTPUT}/mqm_listeria1.rtest)
  endif()
  ADD_TEST(TestR_augmentation ${RTEST} rtest test_augmentation.R)
ENDIF()

## r-cran-qtl 1.42-8

=== debian/changelog ===
r-cran-qtl (1.42-8-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.1.3
  * debhelper 11

 -- Andreas Tille <tille@debian.org>  Thu, 22 Feb 2018 09:38:47 +0100

r-cran-qtl (1.41-6-2) unstable; urgency=medium

  * Moved packaging from SVN to Git
  * Standards-Version: 4.1.1

 -- Andreas Tille <tille@debian.org>  Fri, 17 Nov 2017 14:48:35 +0100

r-cran-qtl (1.41-6-1) unstable; urgency=medium

  * New upstream version
  * debhelper 10
  * Standards-Version: 4.1.0
  * Add README.source to document binary files

 -- Andreas Tille <tille@debian.org>  Fri, 08 Sep 2017 15:33:40 +0200

=== debian/control ===
--- 
+++ 
@@ -4,12 +4,12 @@
            Andreas Tille <tille@debian.org>
 Section: gnu-r
 Priority: optional
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 11~),
                dh-r,
                r-base-dev
-Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/viewvc/debian-med/trunk/packages/R/r-cran-qtl/trunk/
-Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/R/r-cran-qtl/trunk/
+Standards-Version: 4.1.3
+Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/r-cran-qtl.git
+Vcs-Git: https://anonscm.debian.org/git/debian-med/r-cran-qtl.git
 Homepage: https://cran.r-project.org/package=qtl
 
 Package: r-cran-qtl

=== debian/watch ===
version=4
https://cran.r-project.org/src/contrib/qtl_([-0-9\.]*).tar.gz

## r-cran-qtl 1.44

=== DESCRIPTION ===
Package: qtl
Version: 1.44-9
Date: 2019-01-22
Title: Tools for Analyzing QTL Experiments
Author: Karl W Broman <broman@wisc.edu> and Hao Wu, with
  ideas from Gary Churchill and Saunak Sen and contributions from
  Danny Arends, Robert Corty, Timothee Flutre, Ritsert Jansen, Pjotr
  Prins, Lars Ronnegard, Rohan Shah, Laura Shannon, Quoc Tran, Aaron
  Wolen, and Brian Yandell
Maintainer: Karl W Broman <broman@wisc.edu>
Description: Analysis of experimental crosses to identify genes
  (called quantitative trait loci, QTLs) contributing to variation in
  quantitative traits.
Depends: R (>= 2.14.0)
Imports: parallel, graphics, stats, utils, grDevices
Suggests: testthat
License: GPL-3
URL: http://rqtl.org, https://github.com/kbroman/qtl
BugReports: https://github.com/kbroman/qtl/issues
Encoding: UTF-8
ByteCompile: true
NeedsCompilation: yes
Packaged: 2019-01-22 15:45:12 UTC; kbroman
Repository: CRAN
Date/Publication: 2019-01-22 17:30:03 UTC

## r-cran-qtl 1.44-9

=== debian/changelog ===
r-cran-qtl (1.44-9-1) unstable; urgency=medium

  * New upstream version
  * debhelper 12
  * Standards-Version: 4.3.0
  * Remove trailing whitespace in debian/changelog
  * Suggests: ruby (used in some example scripts)

 -- Andreas Tille <tille@debian.org>  Mon, 28 Jan 2019 11:48:03 +0100

r-cran-qtl (1.42-8-2) unstable; urgency=medium

  * Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-
    lists.debian.net>
  * Point Vcs fields to salsa.debian.org
  * dh-update-R to update Build-Depends
  * Depends: ruby

 -- Andreas Tille <tille@debian.org>  Mon, 18 Jun 2018 14:34:23 +0200

=== debian/control ===
--- 
+++ 
@@ -1,25 +1,25 @@
 Source: r-cran-qtl
-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Steffen Moeller <moeller@debian.org>,
            Andreas Tille <tille@debian.org>
 Section: gnu-r
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper (>= 12~),
                dh-r,
                r-base-dev
-Standards-Version: 4.1.3
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/r-cran-qtl.git
-Vcs-Git: https://anonscm.debian.org/git/debian-med/r-cran-qtl.git
+Standards-Version: 4.3.0
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-qtl
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-qtl.git
 Homepage: https://cran.r-project.org/package=qtl
 
 Package: r-cran-qtl
 Architecture: any
-Depends: ${shlibs:Depends},
+Depends: ${R:Depends},
+         ${shlibs:Depends},
          ${misc:Depends},
-         ${R:Depends}
-Recommends: ruby,
-            ${R:Recommends}
-Suggests: ${R:Suggests}
+Recommends: ${R:Recommends}
+Suggests: ${R:Suggests},
+          ruby
 Description: GNU R package for genetic marker linkage analysis
  R/qtl is an extensible, interactive environment for mapping quantitative
  trait loci (QTLs) in experimental crosses. It is implemented as an

## r-cran-qtl 1.45

=== DESCRIPTION ===
Package: qtl
Version: 1.45-11
Date: 2020-02-01
Title: Tools for Analyzing QTL Experiments
Author: Karl W Broman <broman@wisc.edu> and Hao Wu, with
  ideas from Gary Churchill and Saunak Sen and contributions from
  Danny Arends, Robert Corty, Timothee Flutre, Ritsert Jansen, Pjotr
  Prins, Lars Ronnegard, Rohan Shah, Laura Shannon, Quoc Tran, Aaron
  Wolen, and Brian Yandell
Maintainer: Karl W Broman <broman@wisc.edu>
Description: Analysis of experimental crosses to identify genes
  (called quantitative trait loci, QTLs) contributing to variation in
  quantitative traits.
  Broman et al. (2003) <doi:10.1093/bioinformatics/btg112>.
Depends: R (>= 2.14.0)
Imports: parallel, graphics, stats, utils, grDevices
Suggests: testthat
License: GPL-3
URL: https://rqtl.org, https://github.com/kbroman/qtl
BugReports: https://github.com/kbroman/qtl/issues
Encoding: UTF-8
ByteCompile: true
NeedsCompilation: yes
Packaged: 2020-02-01 18:45:36 UTC; kbroman
Repository: CRAN
Date/Publication: 2020-02-02 16:40:05 UTC

=== inst/contrib/biolib/CMakeLists.txt ===
# Make file for the R/qtl BioLib module 
#
#   Usage: rm CMakeCache.txt ; cmake . ; make
#
# this cmake file requires the full biolib source tree

cmake_minimum_required(VERSION 2.6)

PROJECT(Biolib_rqtl)

set (M_NAME rqtl)

IF(NOT BUILD_LIBS)
  # Building in a local module: Set the module search path manually
  SET (MAP_ROOT ../../../../..)
  SET (CMAKE_MODULE_PATH ${MAP_ROOT}/tools/cmake-support/modules)
  IF(NOT IS_DIRECTORY ${CMAKE_MODULE_PATH})
    MESSAGE(FATAL_ERROR "Can not find BioLib context")
  ENDIF(NOT IS_DIRECTORY ${CMAKE_MODULE_PATH})
ENDIF(NOT BUILD_LIBS)

FIND_PACKAGE(Map REQUIRED)
FIND_PACKAGE(RLibs REQUIRED)  # require some Rlib functionality at runtime

INCLUDE_DIRECTORIES(../../src)
# INCLUDE_DIRECTORIES(${R_INCLUDE_PATH})

BUILD_CLIB()

ADD_LIBRARY(${LIBNAME} SHARED
../../src/countXO.c
../../src/countXO.h
../../src/discan.c
../../src/discan_covar.c
../../src/discan_covar.h
../../src/discan.h
../../src/effectscan.c
../../src/effectscan.h
../../src/findDupMarkers_notexact.c
../../src/findDupMarkers_notexact.h
../../src/fitqtl_hk.c
../../src/fitqtl_hk.h
../../src/fitqtl_imp.c
../../src/fitqtl_imp.h
../../src/forwsel.c
../../src/forwsel.h
../../src/hmm_4way.c
../../src/hmm_4way.h
../../src/hmm_bc.c
../../src/hmm_bc.h
../../src/hmm_bci.c
../../src/hmm_bci.h
../../src/hmm_f2.c
../../src/hmm_f2.h
../../src/hmm_f2i.c
../../src/hmm_f2i.h
../../src/hmm_main.c
../../src/hmm_main.h
../../src/hmm_ri4self.c
../../src/hmm_ri4self.h
../../src/hmm_ri4sib.c
../../src/hmm_ri4sib.h
../../src/hmm_ri8self.c
../../src/hmm_ri8self.h
../../src/hmm_ri8sib.c
../../src/hmm_ri8sib.h
../../src/info.c
../../src/info.h
../../src/lapackutil.c
../../src/lapackutil.h
../../src/mqmaugment.cpp
../../src/mqmaugment.h
../../src/mqmdatatypes.cpp
../../src/mqmdatatypes.h
../../src/mqmeliminate.cpp
../../src/mqmeliminate.h
../../src/mqmextra.cpp
../../src/mqmextra.h
../../src/mqm.h
../../src/mqmmapqtl.cpp
../../src/mqmmapqtl.h
../../src/mqmmixture.cpp
../../src/mqmmixture.h
../../src/mqmprob.cpp
../../src/mqmprob.h
../../src/mqmregression.cpp
../../src/mqmregression.h
../../src/mqmscan.cpp
../../src/mqmscan.h
../../src/ril48_reorg.c
../../src/ril48_reorg.h
../../src/ripple.c
../../src/ripple.h
../../src/scanone_ehk.c
../../src/scanone_ehk.h
../../src/scanone_em.c
../../src/scanone_em_covar.c
../../src/scanone_em_covar.h
../../src/scanone_em.h
../../src/scanone_hk.c
../../src/scanone_hk.h
../../src/scanone_imp.c
../../src/scanone_imp.h
../../src/scanone_mr.c
../../src/scanone_mr.h
../../src/scanone_np.c
../../src/scanone_np.h
../../src/scantwo_binary_em.c
../../src/scantwo_binary_em.h
../../src/scantwo_em.c
../../src/scantwo_em.h
../../src/scantwo_hk.c
../../src/scantwo_hk.h
../../src/scantwo_imp.c
../../src/scantwo_imp.h
../../src/scantwo_mr.c
../../src/scantwo_mr.h
../../src/simulate.c
../../src/simulate.h
../../src/simulate_ril.c
../../src/simulate_ril.h
../../src/stahl_mf.c
../../src/stahl_mf.h
../../src/standalone.h
../../src/summary_scantwo.c
../../src/summary_scantwo.h
../../src/util.c
../../src/util.h
../../src/vbscan.c
../../src/vbscan.h
)

# ---- The following may be required for OSX
# TARGET_LINK_LIBRARIES(${LIBNAME} ${ZLIB_NAME})


INSTALL_CLIB()

## r-cran-qtl 1.45-11

=== debian/changelog ===
r-cran-qtl (1.45-11-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 12 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)
  * autopkgtest: s/ADTTMP/AUTOPKGTEST_TMP/g (routine-update)
  * Trim trailing whitespace.
  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit,
    Repository, Repository-Browse.
  * Refer to specific version of license GPL-3+.
  * Fix day-of-week for changelog entries 0.98.57-2, 0.98.57-1, 0.97.22-
    1, 0.97.21-2, 0.97.21-1.

 -- Steffen Moeller <moeller@debian.org>  Wed, 05 Feb 2020 23:56:55 +0100

=== debian/control ===
--- 
+++ 
@@ -4,10 +4,10 @@
            Andreas Tille <tille@debian.org>
 Section: gnu-r
 Priority: optional
-Build-Depends: debhelper (>= 12~),
+Build-Depends: debhelper-compat (= 12),
                dh-r,
                r-base-dev
-Standards-Version: 4.3.0
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-qtl
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-qtl.git
 Homepage: https://cran.r-project.org/package=qtl
@@ -16,10 +16,9 @@
 Architecture: any
 Depends: ${R:Depends},
          ${shlibs:Depends},
-         ${misc:Depends},
+         ${misc:Depends}
 Recommends: ${R:Recommends}
-Suggests: ${R:Suggests},
-          ruby
+Suggests: ${R:Suggests}
 Description: GNU R package for genetic marker linkage analysis
  R/qtl is an extensible, interactive environment for mapping quantitative
  trait loci (QTLs) in experimental crosses. It is implemented as an

## r-cran-qtl 1.46

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: qtl
-Version: 1.45-11
-Date: 2020-02-01
+Version: 1.46-2
+Date: 2020-02-28
 Title: Tools for Analyzing QTL Experiments
 Author: Karl W Broman <broman@wisc.edu> and Hao Wu, with
   ideas from Gary Churchill and Saunak Sen and contributions from
@@ -20,7 +20,8 @@
 BugReports: https://github.com/kbroman/qtl/issues
 Encoding: UTF-8
 ByteCompile: true
+RoxygenNote: 7.0.2
 NeedsCompilation: yes
-Packaged: 2020-02-01 18:45:36 UTC; kbroman
+Packaged: 2020-03-11 15:50:01 UTC; kbroman
 Repository: CRAN
-Date/Publication: 2020-02-02 16:40:05 UTC
+Date/Publication: 2020-03-11 23:10:02 UTC

## r-cran-qtl 1.46-2

=== debian/changelog ===
r-cran-qtl (1.46-2-1build1) groovy; urgency=medium

  * No-change rebuild against r-api-4.0

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 30 May 2020 10:27:26 +0000

r-cran-qtl (1.46-2-1) unstable; urgency=medium

  * New upstream version
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Added ruby as a recommendation to binary because of scripts
    R/qtl now distributes.

 -- Steffen Moeller <moeller@debian.org>  Thu, 19 Mar 2020 00:54:04 +0100

=== debian/control ===
--- 
+++ 
@@ -11,13 +11,15 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-qtl
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-qtl.git
 Homepage: https://cran.r-project.org/package=qtl
+Rules-Requires-Root: no
 
 Package: r-cran-qtl
 Architecture: any
 Depends: ${R:Depends},
          ${shlibs:Depends},
          ${misc:Depends}
-Recommends: ${R:Recommends}
+Recommends: ${R:Recommends},
+            ruby
 Suggests: ${R:Suggests}
 Description: GNU R package for genetic marker linkage analysis
  R/qtl is an extensible, interactive environment for mapping quantitative

## r-cran-qtl 1.47

=== DESCRIPTION ===
Package: qtl
Version: 1.47-9
Date: 2021-01-07
Title: Tools for Analyzing QTL Experiments
Author: Karl W Broman <broman@wisc.edu> and Hao Wu, with
  ideas from Gary Churchill and Saunak Sen and contributions from
  Danny Arends, Robert Corty, Timothee Flutre, Ritsert Jansen, Pjotr
  Prins, Lars Ronnegard, Rohan Shah, Laura Shannon, Quoc Tran, Aaron
  Wolen, Brian Yandell, and R Core Team
Maintainer: Karl W Broman <broman@wisc.edu>
Description: Analysis of experimental crosses to identify genes
  (called quantitative trait loci, QTLs) contributing to variation in
  quantitative traits.
  Broman et al. (2003) <doi:10.1093/bioinformatics/btg112>.
Copyright: Code for Brent's method for finding the root of a univariate
        function was taken from R 2.15.1 (Copyright 1999, 2001 The R
        Core Team)
Depends: R (>= 2.14.0)
Imports: parallel, graphics, stats, utils, grDevices
Suggests: testthat
License: GPL-3
URL: https://rqtl.org, https://github.com/kbroman/qtl
BugReports: https://github.com/kbroman/qtl/issues
Encoding: UTF-8
ByteCompile: true
NeedsCompilation: yes
Packaged: 2021-01-07 18:59:36 UTC; kbroman
Repository: CRAN
Date/Publication: 2021-01-07 21:30:03 UTC

## r-cran-qtl 1.47-9

=== debian/changelog ===
r-cran-qtl (1.47-9-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.5.1 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Testsuite: autopkgtest-pkg-r (routine-update)
  * Depends: ruby

 -- Andreas Tille <tille@debian.org>  Sat, 16 Jan 2021 14:55:46 +0100

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,12 @@
 Uploaders: Steffen Moeller <moeller@debian.org>,
            Andreas Tille <tille@debian.org>
 Section: gnu-r
+Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-qtl
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-qtl.git
 Homepage: https://cran.r-project.org/package=qtl
@@ -17,9 +18,9 @@
 Architecture: any
 Depends: ${R:Depends},
          ${shlibs:Depends},
-         ${misc:Depends}
-Recommends: ${R:Recommends},
-            ruby
+         ${misc:Depends},
+         ruby
+Recommends: ${R:Recommends}
 Suggests: ${R:Suggests}
 Description: GNU R package for genetic marker linkage analysis
  R/qtl is an extensible, interactive environment for mapping quantitative

## r-cran-qtl 1.50

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: qtl
-Version: 1.47-9
-Date: 2021-01-07
+Version: 1.50
+Date: 2021-10-06
 Title: Tools for Analyzing QTL Experiments
 Author: Karl W Broman <broman@wisc.edu> and Hao Wu, with
   ideas from Gary Churchill and Saunak Sen and contributions from
@@ -24,6 +24,6 @@
 Encoding: UTF-8
 ByteCompile: true
 NeedsCompilation: yes
-Packaged: 2021-01-07 18:59:36 UTC; kbroman
+Packaged: 2021-10-06 14:40:11 UTC; kbroman
 Repository: CRAN
-Date/Publication: 2021-01-07 21:30:03 UTC
+Date/Publication: 2021-10-06 16:00:02 UTC

=== debian/changelog ===
r-cran-qtl (1.50-1) unstable; urgency=medium

  * Disable reprotest
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Thu, 14 Oct 2021 23:12:17 +0200

r-cran-qtl (1.48-1-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)

 -- Andreas Tille <tille@debian.org>  Sun, 29 Aug 2021 18:18:11 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-qtl
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-qtl.git
 Homepage: https://cran.r-project.org/package=qtl

## r-cran-qtl 1.52

=== debian/changelog ===
r-cran-qtl (1.52-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Andreas Tille <tille@debian.org>  Wed, 13 Jul 2022 09:51:51 +0200

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,18 @@
 Source: r-cran-qtl
+Section: gnu-r
+Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Steffen Moeller <moeller@debian.org>,
            Andreas Tille <tille@debian.org>
-Section: gnu-r
-Testsuite: autopkgtest-pkg-r
-Priority: optional
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-qtl
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-qtl.git
+Homepage: https://cran.r-project.org/package=qtl
+Standards-Version: 4.6.1
+Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev
-Standards-Version: 4.6.0
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-qtl
-Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-qtl.git
-Homepage: https://cran.r-project.org/package=qtl
-Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-qtl
 Architecture: any

## r-cran-qtl 1.58

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: qtl
-Version: 1.50
-Date: 2021-10-06
+Version: 1.58
+Date: 2022-12-22
 Title: Tools for Analyzing QTL Experiments
 Author: Karl W Broman <broman@wisc.edu> and Hao Wu, with
   ideas from Gary Churchill and Saunak Sen and contributions from
@@ -24,6 +24,6 @@
 Encoding: UTF-8
 ByteCompile: true
 NeedsCompilation: yes
-Packaged: 2021-10-06 14:40:11 UTC; kbroman
+Packaged: 2022-12-22 19:57:21 UTC; kbroman
 Repository: CRAN
-Date/Publication: 2021-10-06 16:00:02 UTC
+Date/Publication: 2023-01-07 18:50:02 UTC

=== debian/changelog ===
r-cran-qtl (1.58-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 13 Jan 2023 09:24:48 +0100

r-cran-qtl (1.54-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Mon, 05 Dec 2022 14:24:50 +0100

## r-cran-qtl 1.60

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: qtl
-Version: 1.58
-Date: 2022-12-22
+Version: 1.60
+Date: 2023-04-18
 Title: Tools for Analyzing QTL Experiments
 Author: Karl W Broman <broman@wisc.edu> and Hao Wu, with
   ideas from Gary Churchill and Saunak Sen and contributions from
@@ -24,6 +24,6 @@
 Encoding: UTF-8
 ByteCompile: true
 NeedsCompilation: yes
-Packaged: 2022-12-22 19:57:21 UTC; kbroman
+Packaged: 2023-04-18 19:44:49 UTC; kbroman
 Repository: CRAN
-Date/Publication: 2023-01-07 18:50:02 UTC
+Date/Publication: 2023-04-18 20:40:02 UTC

=== debian/changelog ===
r-cran-qtl (1.60-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Mon, 26 Jun 2023 16:45:05 +0200

## r-cran-qtl 1.66

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: qtl
-Version: 1.60
-Date: 2023-04-18
+Version: 1.66
+Date: 2023-11-27
 Title: Tools for Analyzing QTL Experiments
 Author: Karl W Broman <broman@wisc.edu> and Hao Wu, with
   ideas from Gary Churchill and Saunak Sen and contributions from
@@ -24,6 +24,6 @@
 Encoding: UTF-8
 ByteCompile: true
 NeedsCompilation: yes
-Packaged: 2023-04-18 19:44:49 UTC; kbroman
+Packaged: 2023-11-27 14:16:05 UTC; kbroman
 Repository: CRAN
-Date/Publication: 2023-04-18 20:40:02 UTC
+Date/Publication: 2023-11-27 20:40:02 UTC

=== debian/changelog ===
r-cran-qtl (1.66-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Tue, 09 Jan 2024 08:36:58 +0100

r-cran-qtl (1.62-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Thu, 23 Nov 2023 07:34:22 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-qtl
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-qtl.git
 Homepage: https://cran.r-project.org/package=qtl
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem R

override_dh_fixperms:
	dh_fixperms
	find debian -name create-diff.sh -exec chmod +x \{\} \;
